{
  template: '${tmpl}',
    data: function() {
      return {
        multipleSelection: [],
        isSingleSelect: false,
        bizCode: 'tmjsonfileversion',
        showUploadform: false,
        f1: "",
        rowid: ""
      }
    },
  mounted: function() {



  },
  created: function() {
    /* if(this.codePath.indexOf("appuser")>=0){
       this.bizCode="appuser";
     }else{
       this.bizCode="allusers";
     }*/
  },
  methods: {
    validateformmethod(rule, value, cbk){
      return cbk();
    },
    onColFormater(row, column, cellvalue, index){


      return cellvalue;
    },
    handleSelectionChange: function(val) {
      this.multipleSelection = val;
      console.log(val);
    },
    fetchData: function() {

    },
    addjson: function() {
      if (this.f1) {
        var that=this;
        var obj = { id: this.rowid, jsonfile_url: this.f1 };
        this.$root.postReq("/web/transfer/tmjsonfileCtl/update", obj).then(function (d) {
          debugger;
          if (d.status > -1) {
            that.showUploadform = false;
          }
        })
      } else {
        this.showUploadform = false;
      }
    },
    onRowClick(row, key, e){
      if (key == "upfiles") {
        this.showUploadform = true;
        debugger;
        this.rowid = row.id;
      }
      if (key == "openurl") {
        window.open(row.zc_url),
        this.rowid = row.id;
      }

    },
    onToolbarClick(k, t){

      if (key = 'create') {
        this.$root.postReq("/web/transfer/tmjsonfileCtl/createjsonfile", obj).then(function (d) {
          if (d.status > -1) {
            this.$rooter.go(0);
          }
        })
      }
    },
    upsuccess(result){
      debugger;
      console.log(result);
    }
  },
  computed: Vuex.mapState({
    headStyle: function () {
      return { "background-color": "white" };
    }
  }),
    vname: "gsb-tradetransferdiliver"
}
